%Read experimental data

fid  = fopen('c://temp//bsim.sig','rt');
fidp = fopen('c://temp//bsim.pos','rt');

fidzero = fopen('c://temp//zero.sig','wt');
fida1 = fopen('c://temp//a1.sig','wt');
fida2 = fopen('c://temp//a2.sig','wt');
fida3 = fopen('c://temp//a3.sig','wt');
fida4 = fopen('c://temp//a4.sig','wt');
fida5 = fopen('c://temp//a5.sig','wt');
fida6 = fopen('c://temp//a6.sig','wt');

fidpzero = fopen('c://temp//zero.pos','wt');
fidpa1 = fopen('c://temp//a1.pos','wt');
fidpa2 = fopen('c://temp//a2.pos','wt');
fidpa3 = fopen('c://temp//a3.pos','wt');
fidpa4 = fopen('c://temp//a4.pos','wt');
fidpa5 = fopen('c://temp//a5.pos','wt');
fidpa6 = fopen('c://temp//a6.pos','wt');


Varhist = zeros(1,18);

indzero = 0;

for Iteracao=1:34926
indice = 0;
	count = 18*50;

	[a count] = fscanf(fid,'%f\n', count);
	[b connt2] = fscanf(fidp, '%f %f %f', 3);
	for k=0:(count/50)-1
		Dado(k+1,:) = a(1+(k*50):50+(k*50))';
		%figure, plot(Dado(k+1,:));
		if(Dado(k+1,49) > 0.9)
			indice  = k+1;
			Varhist(k+1) = Varhist(k+1)+1;
			%if((k+1)<7)
			%	Iteracao
			%	figure, plot(Dado(k+1,:));
			%end
		end
	end
	if(indice==0)
		indzero = indzero+1;
		fprintf(fidzero,'%f ',a);
		fprintf(fidzero,'\n',a);
		fprintf(fidpzero, '%f %f %f \n',b);
	end		
	if(indice==7)
		fprintf(fida1,'%f ',a);
		fprintf(fida1,'\n',a);
		fprintf(fidpa1, '%f %f %f \n',b);
	end
	if(indice==8)
		fprintf(fida2,'%f ',a);
		fprintf(fida2,'\n',a);
		fprintf(fidpa2, '%f %f %f \n',b);
	end
	if(indice==9)
		fprintf(fida3,'%f ',a);
		fprintf(fida3,'\n',a);
		fprintf(fidpa3, '%f %f %f \n',b);
	end
	if(indice==10)
		fprintf(fida4,'%f ',a);
		fprintf(fida4,'\n',a);
		fprintf(fidpa4, '%f %f %f \n',b);
	end
	if(indice==11)
		fprintf(fida5,'%f ',a);
		fprintf(fida5,'\n',a);
		fprintf(fidpa5, '%f %f %f \n',b);
	end
	if(indice==12)
		fprintf(fida6,'%f ',a);
		fprintf(fida6,'\n',a);
		fprintf(fidpa6, '%f %f %f \n',b);
	end



	
end

fclose(fid);
fclose(fidp);

fclose(fidzero);
fclose(fida1);
fclose(fida2);
fclose(fida3);
fclose(fida4);
fclose(fida5);
fclose(fida6);

fclose(fidpzero);
fclose(fidpa1);
fclose(fidpa2);
fclose(fidpa3);
fclose(fidpa4);
fclose(fidpa5);
fclose(fidpa6);

Varhist